﻿using System;
using ThomsonReuters.Dss.Api.Extractions;

namespace Dss.Api.Examples.Extractions.SubjectLists
{
	public class SubjectListBase
	{
		private readonly Uri _serviceLayerUri;
		protected const string User = "<use_your_client_id_here>";
		protected const string Password = "<use_your_password_here>";

		public SubjectListBase()
        {
			_serviceLayerUri = new Uri("http://rpickardvs2012/Servicelayer/");
			//_serviceLayerUri = new Uri("https://hosted.datascopeapi.reuters.com/ServiceLayer");
		}

		protected ExtractionsContext CreateExtractionsContext()
		{
			var extractionsContext = new ExtractionsContext(_serviceLayerUri, User, Password);

			//Force auth to reduce server round trips for each new context
			var sessionToken = extractionsContext.SessionToken;

			return extractionsContext;
		}
	}
}
