﻿namespace Dss.Api.Examples.Users
{

    /// <summary>
	/// Interaction logic for ExtractionsExamplesView.xaml
	/// </summary>
	public partial class UserExamplesView
	{

		public UserExamplesView()
		{
			InitializeComponent();
		}

        private void GetCurrentUserButtonClick(object sender, System.Windows.RoutedEventArgs e)
        {
            using (new WaitCursor())
            {
                var examples = new UserExamples();
                examples.GetCurrentUser();
            }
        }

        private void GetUserPreferencesButtonClick(object sender, System.Windows.RoutedEventArgs e)
        {
            using (new WaitCursor())
            {
                var examples = new UserExamples();
                examples.GetUserPreferencesForUser();
            }
        }

        private void GetUserPreferencesForCurrentUserButtonClick(object sender, System.Windows.RoutedEventArgs e)
        {
            using (new WaitCursor())
            {
                var examples = new UserExamples();
                examples.GetUserPreferencesForCurrentUser();
            }
        }

        private void UpdateUserPreferencesButtonClick(object sender, System.Windows.RoutedEventArgs e)
        {
            using (new WaitCursor())
            {
                var examples = new UserExamples();
                examples.UpdateUserPreferences();
            }
        }

	}
}
